// loaded by each source document (chapter)
// sets style rules for platform and version

const SUNBIRD_ID = "{718e30fb-e89b-41dd-9da7-e25a45638b28}";

window.onload = function () {
	var platcss;
	var p = window.navigator.platform.toLowerCase();
	if (p.indexOf("win") >= 0 || p.indexOf("os/2") >= 0) platcss = "win.css";
	else if (p.indexOf("mac") >= 0) platcss = "mac.css";
	else platcss = "unix.css";

	// context.js -> res/dtd/xx.dtd -> xx.xhtml -> thisAppID
	var sunbird = (thisAppID == SUNBIRD_ID);

	with (document.styleSheets[0]) {
		insertRule(
			"@import url('chrome://calendarhelp/locale/" + platcss + "');",
			1);
		insertRule(
			"." + ((sunbird)? "extensions":"sunbird") + " {display:none}",
			cssRules.length);
		}

	}
